Bug 616119 - Convert RHEVH blacklisting to completely use the appliance-tools image minimizer utility
Summary: Convert RHEVH blacklisting to completely use the appliance-tools image minimi...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Alan Pevec
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On: 616737
Blocks: 614870 616121
TreeView+ depends on / blocked
 
Reported: 2010-07-19 17:35 UTC by Perry Myers
Modified: 2010-11-11 14:52 UTC (History)
3 users (show)

Fixed In Version: ovirt-node-1.9.3-5.git3a9e2d0.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 616121 (view as bug list)
Environment:
Last Closed: 2010-11-11 14:52:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Perry Myers 2010-07-19 17:35:23 UTC
Description of problem:
Blacklisting of files in RHEVH presently is done by both some image minimimzer directives but also by explicitly rm -f commands.

In order to make it easier to do derivative spins of RHEVH we need to move to using the image minimizer for all blacklisting operations.

Comment 2 Mohua Li 2010-08-23 09:37:20 UTC
as i have never  build rhev-h, never use image-minimimzer to drop/keep rpms for rhev-h, can someone tell me where can i find the blacklist conf file, and  now if we compeletely use the image-minimimzer instead of rm -rf to blacklist the rpms  to build the rhev-h?

Comment 3 Alan Pevec 2010-08-23 10:04:03 UTC
look at common-blacklist.ks and common-minimizer.ks in ovirt-node-tools

Comment 4 Mohua Li 2010-08-24 09:27:12 UTC
check in ovirt-node-tools-1.9.3-8.gitb16b938.el6.noarch,  i did find these two files, 

[root@dhcp-66-70-73 ~]# rpm -ql ovirt-node-tools-1.9.3-8.gitb16b938.el6.noarch
/usr/sbin/node-creator
/usr/share/doc/ovirt-node-tools-1.9.3
/usr/share/doc/ovirt-node-tools-1.9.3/COPYING
/usr/share/doc/ovirt-node-tools-1.9.3/README
/usr/share/ovirt-node-tools/common-blacklist.ks
/usr/share/ovirt-node-tools/common-el6.ks
/usr/share/ovirt-node-tools/common-install.ks
/usr/share/ovirt-node-tools/common-manifest-post.ks
/usr/share/ovirt-node-tools/common-minimizer.ks
/usr/share/ovirt-node-tools/common-pkgs.ks
/usr/share/ovirt-node-tools/common-post-nochroot.ks
/usr/share/ovirt-node-tools/common-post.ks
/usr/share/ovirt-node-tools/ovirt-node-image.ks
/usr/share/ovirt-node-tools/repos.ks


it do, drop/keep some rpms, so it's fixed,

Comment 5 releng-rhel@redhat.com 2010-11-11 14:52:48 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.